#!/bin/sh

APKG_PKG_DIR=/usr/local/AppCentral/etherwake

cd $APKG_PKG_DIR

ETHERWAKE_SERVER=etherwake-server.js

case $1 in

 start)
  echo "Starting etherwake service..." 
  #ps aux | grep -v grep | grep $ETHERWAKE_SERVER || rm $APKG_PKG_DIR/etherwake.pid
  start-stop-daemon -S -m --pidfile $APKG_PKG_DIR/etherwake.pid -x /usr/local/bin/node webman/$ETHERWAKE_SERVER &
  ;;

 stop)
  echo "Stopping etherwake service..."
  start-stop-daemon -K --pidfile $APKG_PKG_DIR/etherwake.pid
  ;;

 *)
  echo "usage: $0 {start|stop}"
  exit 1
  ;;

esac
exit 0
